Skip to main content
GET
/
api
/
resources
/
{id}
Get Resource
curl --request GET \
  --url https://api.example.com/api/resources/{id} \
  --header 'Authorization: <authorization>'
{
  "data": {
    "resource": {
      "id": 1,
      "project_id": 4,
      "name": "checkout-flow.docx",
      "url": "https://...r2.cloudflarestorage.com/project-resources/...?X-Amz-...",
      "description": null,
      "mime_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
      "size_bytes": 245000,
      "status": "uploaded",
      "created_by": "user-id",
      "created_at": "2026-03-20T10:30:00Z",
      "updated_at": "2026-03-20T10:30:00Z"
    }
  }
}
Returns a single resource with a signed download URL that expires in 1 hour.

Request

Authorization
string
required
Bearer token for authentication. Format: Bearer <your-api-key>
id
number
required
The resource ID.

Response

data.resource
object
The resource object.
{
  "data": {
    "resource": {
      "id": 1,
      "project_id": 4,
      "name": "checkout-flow.docx",
      "url": "https://...r2.cloudflarestorage.com/project-resources/...?X-Amz-...",
      "description": null,
      "mime_type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
      "size_bytes": 245000,
      "status": "uploaded",
      "created_by": "user-id",
      "created_at": "2026-03-20T10:30:00Z",
      "updated_at": "2026-03-20T10:30:00Z"
    }
  }
}

Example

curl -X GET \
  https://dash.empirical.run/api/resources/1 \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY"